﻿@model BeerOverflow.Services.DTOs.BreweryDTO
@using Microsoft.AspNetCore.Identity
@using BeerOverflow.Models

@inject SignInManager<User> SignInManager
@inject UserManager<User> UserManager

@{
    ViewData["Title"] = "Brewery Details";
}

<h1>Brewery Details</h1>
<h4>@Model.Name</h4>
<hr />
<div>
    <dl class="row">
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.ID)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.ID)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Name)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Name)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.CountryID)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.CountryID)
        </dd>
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.CountryName)
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.CountryName)
        </dd>
    </dl>
</div>
<div>
    @if (User.IsInRole("Admin"))
    {
        @Html.ActionLink("Edit | ", "Edit", new { id = Model.ID })
    }
    <a asp-action="Index"> | Back to List</a>
</div>
